Loading...
Searching...
No Matches
gtsam::InvalidMatrixBlock Class Reference

## Detailed Description

An exception indicating that a matrix block passed into a JacobianFactor has a different dimensionality than the factor.

Inheritance diagram for gtsam::InvalidMatrixBlock:

## Public Member Functions

| InvalidMatrixBlock (DenseIndex factorRows, DenseIndex blockRows)
const char * | what () const noexcept override
Public Member Functions inherited from gtsam::ThreadsafeException< InvalidMatrixBlock >
const char * | what () const noexcept override

## Public Attributes

const DenseIndex | factorRows
| The dimensionality of the factor.
const DenseIndex | blockRows
| The dimensionality of the noise model.

## Additional Inherited Members

Protected Types inherited from gtsam::ThreadsafeException< InvalidMatrixBlock >
typedef std::string | String
Protected Member Functions inherited from gtsam::ThreadsafeException< InvalidMatrixBlock >
| ThreadsafeException ()
| Default constructor is protected - may only be created from derived classes.
| ~ThreadsafeException () noexcept override
| Default destructor doesn't have the noexcept.
Protected Attributes inherited from gtsam::ThreadsafeException< InvalidMatrixBlock >
bool | dynamic_
| Whether this object was moved.
boost::optional< String > | description_
| Optional description.

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/linearExceptions.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/linearExceptions.cpp